# &kde; kasutaja käsiraamat

Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
kbuildsycoca4
8

# `kbuildsycoca4`

Süsteemi seadistuste vahemälu ümber ehitamine.

## Kokkuvõte

    kbuildsycoca4  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Kirjeldus

`kbuildsycoca4` kui &kde; käsureatööriistade osa tagab &kde; korrektse töö, lugedes kõiki `.desktop`-, `.directory`-, `.kimgio`- ja `.protocol`-faile ning luues nende baasil binaarandmebaasi.

&kde; kasutab seda andmebaasi konfiguratsiooniinfo jagamiseks käivitatavatele programmidele.

See tööriist kuulub ksycoca ehk &kde; süsteemi seadistuste vahemälu koosseisu.

## Võtmed

`--nosignal`

  Rakendustele ei saadeta signaale

`--incremental`

  Lisanduv uuendamine

`--help`

  Näitab abi võtmete kohta

`--help-qt`

  Näitab abi Qt spetsiifiliste võtmete kohta

`--help-kde`

  Näitab abi KDE spetsiifiliste võtmete kohta

`--help-all`

  Näitab abi kõigi võtmete kohta

`--author`

  Näitab infot autori kohta

`--version`

  Näitab versiooniinfot

`--license`

  Näitab litsentsiinfot

## Kasutamine

Standardne viis programmi käivitada on anda käsureal käsk ``kbuildsycoca4``

## Failid

`/tmp/kde-$USER/ksycoca`

  ...

## Keskkonnamuutujad

$`KDEDIRS`

  Määrab, millised kataloogid kuuluvad KDE paigalduse koosseisu

## Vaata ka

kdeinit4

## Vead

Kirjutamise ajal ei olnud teadaolevaid vigu.